<?php

/*
 * 上报统计日志
 * 2022.1.24
 */

namespace loyalsoft;

include_once __DIR__ . '/../../main.php';

HttpUtil::PostOnly();

/**
 * 客户端统计日志上报处理类
 */
class CliendStatLogReportHandler {

    /**
     *  客户端日志上报
     */
    static function logReport() {
        extract(query_paras());                                                 # 客户端参数解析:
        $key = MemKey_GameRun::stat_clientReportLog($EventID);
        $logItem = array(#                                                      # 组装对象
            'UID' => $UID,
            'zoneid' => $zoneid,
            'EArgKey' => $EArgKey,
            'EArgValue' => $EArgValue,
            'ts' => TimeUtil::dtCurrent()
        );

        gMem()->lpush($key, array($logItem));                                   # 压入日志
    }

}

CliendStatLogReportHandler::logReport();
echoLine("copy!");
